## meson 0.40.1

=== test cases/osx/2 library versions/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6.0)
project(dylibversion C)

# This file is here for debugging purposes to easily compare how
# CMake does it.

add_library(noversion SHARED lib.c)

# libonlysoversion.dylib -> libonlysoversion.5.dylib
# libonlyversion.1.4.5.dylib

add_library(onlyversion SHARED lib.c)
set_target_properties(onlyversion PROPERTIES VERSION 1.4.5)

# libnoversion.dylib
# libonlysoversion.5.dylib

add_library(onlysoversion SHARED lib.c)
set_target_properties(onlysoversion PROPERTIES SOVERSION 5)

# libsome.1.4.5.dylib
# libsome.5.dylib -> libsome.1.4.5.dylib
# libsome.dylib -> libsome.5.dylib

add_library(some SHARED lib.c)
set_target_properties(some PROPERTIES VERSION 1.4.5 SOVERSION 5)

## meson 0.18.0

=== debian/changelog ===
meson (0.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Made compilation and test output more verbose.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 14 Jul 2014 18:26:28 +0300

meson (0.17.0-1) unstable; urgency=medium

  * Initial release. Closes: #712605, #712610

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 04 Jun 2014 22:33:44 +0300

=== debian/control ===
Source: meson
Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
Section: devel
Priority: optional
Standards-Version: 3.9.5
Homepage: https://jpakkane.github.io/meson
X-Python3-Version: >= 3.3
XS-Testsuite: autopkgtest
Build-Depends: debhelper (>= 9),
  python3 (>= 3.3),
# The following are needed for the unit test suite
  ninja-build,
  zlib1g-dev,
  pkg-config,
  libboost-dev,
  libboost-thread-dev,
  gobjc,
  gobjc++,
  gnustep-make,
  libgnustep-base-dev,
  libgtest-dev,
  google-mock,
  qt5-default,
  protobuf-compiler,
  libprotobuf-dev,
  openjdk-7-jdk,
  valac,
  gobject-introspection,
  libgirepository1.0-dev,

Package: meson
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
# ${python3:Depends},
 ninja-build, python3
Description: high-productivity build system
 Meson is a build system designed to increase programmer
 productivity. It does this by providing a fast, simple and easy to
 use interface for modern software development tools and practices.

Package: meson-gui
Architecture: all
Depends: python3,python3-pyqt5,${shlibs:Depends}, ${misc:Depends},
# ${python3:Depends},
 meson
Description: graphical user interface for the Meson build system
 This package provides a graphical interface to configure and inspect
 Meson builds.

=== debian/rules ===
#!/usr/bin/make -f

# Print all logging info to stdout so it
# shows up in build logs.
export MESON_PRINT_TEST_OUTPUT=1

%:
	dh $@

override_dh_auto_configure:
	echo "Meson does not need to be configured."

override_dh_auto_build:
	echo "Meson does not need a compile step."

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.py
endif

override_dh_clean:
	dh_clean
	rm -f *.pyc
	rm -rf __pycache__
	rm -rf work\ area
	rm -rf install\ dir/*
	rm -f meson-test-run.txt

override_dh_install:
	./install_meson.py --prefix=/usr --destdir $$(pwd)/debian/tmp
	dh_python3 -V 3.3- -i /usr/share/meson
	dh_install --fail-missing

=== debian/tests/control ===
Tests: basicmeson
Depends: meson, ninja-build, build-essential

## meson 0.21.0

=== debian/changelog ===
meson (0.21.0-1) unstable; urgency=medium

  * New upstream release.
  * Added autopkgtest for Clang

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 24 Oct 2014 05:01:08 +0300

meson (0.20.0-1) unstable; urgency=medium

  * New upstream version
  * Added build-deps to Mono, Flex and Bison as
    required by new unit tests

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 13 Sep 2014 00:46:56 +0300

meson (0.19.0-1) unstable; urgency=medium

  * New upstream release.
  * Meson now supports Fortran compilation,
    so build-depend on gfortran to test that it's working.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 11 Aug 2014 00:24:16 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://jpakkane.github.io/meson
 X-Python3-Version: >= 3.3
 XS-Testsuite: autopkgtest
@@ -20,13 +20,21 @@
   libgnustep-base-dev,
   libgtest-dev,
   google-mock,
+  qtbase5-dev,
+  qtbase5-dev-tools,
   qt5-default,
   protobuf-compiler,
   libprotobuf-dev,
-  openjdk-7-jdk,
+# OpenJDK does not work on Hurd, so skip the tests.
+  openjdk-7-jdk [!hurd-i386],
   valac,
   gobject-introspection,
   libgirepository1.0-dev,
+  gfortran,
+  flex,
+  bison,
+  mono-mcs,
+  mono-devel,
 
 Package: meson
 Architecture: all

=== debian/tests/control ===
Tests: basicmeson clangmeson
Depends: meson, ninja-build, build-essential, clang

=== debian/watch ===
version = 3

opts=pgpsigurlmangle=s/$/.asc/ https://github.com/jpakkane/meson/releases \
 (?:.*/)meson_(\d[\d\.]*)\.tar\.gz

## meson 0.24.0

=== debian/changelog ===
meson (0.24.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 23 May 2015 21:31:15 +0300

meson (0.23.0-2) unstable; urgency=medium

  * Reupload to unstable.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 26 Apr 2015 13:43:52 +0300

meson (0.23.0-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 31 Mar 2015 01:02:33 +0300

meson (0.22.0-1) experimental; urgency=medium

  * New upstream release
  * Use QT_SELECT instead of build-depending on
    qt5-default to fix Lintian error

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 19 Jan 2015 21:49:17 +0200

## meson 0.25.0

=== debian/changelog ===
meson (0.25.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 12 Jul 2015 20:52:27 +0300

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Section: devel
 Priority: optional
 Standards-Version: 3.9.6
-Homepage: https://jpakkane.github.io/meson
+Homepage: http://mesonbuild.com
 X-Python3-Version: >= 3.3
 XS-Testsuite: autopkgtest
 Build-Depends: debhelper (>= 9),
   python3 (>= 3.3),
 # The following are needed for the unit test suite
-  ninja-build,
+  ninja-build (>= 1.5.1),
   zlib1g-dev,
   pkg-config,
   libboost-dev,
   libboost-thread-dev,
+  libboost-test-dev,
   gobjc,
   gobjc++,
   gnustep-make,
@@ -22,11 +23,10 @@
   google-mock,
   qtbase5-dev,
   qtbase5-dev-tools,
-  qt5-default,
   protobuf-compiler,
   libprotobuf-dev,
 # OpenJDK does not work on Hurd, so skip the tests.
-  openjdk-7-jdk [!hurd-i386],
+  openjdk-8-jdk [!hurd-i386],
   valac,
   gobject-introspection,
   libgirepository1.0-dev,
@@ -35,6 +35,7 @@
   bison,
   mono-mcs,
   mono-devel,
+  libwxgtk3.0-dev,
 
 Package: meson
 Architecture: all

## meson 0.26.0

=== debian/changelog ===
meson (0.26.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 12 Sep 2015 22:31:28 +0300

=== debian/control ===
--- 
+++ 
@@ -36,6 +36,8 @@
   mono-mcs,
   mono-devel,
   libwxgtk3.0-dev,
+  python3-gi,
+  gtk-doc-tools,
 
 Package: meson
 Architecture: all

## meson 0.28.0

=== debian/changelog ===
meson (0.28.0-1) unstable; urgency=medium

  * New upstream release.
  * Only build-dep on Rust on platforms that provide it.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 29 Dec 2015 00:01:46 +0200

meson (0.27.0-1) unstable; urgency=medium

  * New upstream release.
  * Build-dep on rustc to run Rust tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 25 Nov 2015 19:58:44 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Standards-Version: 3.9.6
 Homepage: http://mesonbuild.com
 X-Python3-Version: >= 3.3
-XS-Testsuite: autopkgtest
 Build-Depends: debhelper (>= 9),
   python3 (>= 3.3),
 # The following are needed for the unit test suite
@@ -38,6 +37,7 @@
   libwxgtk3.0-dev,
   python3-gi,
   gtk-doc-tools,
+  rustc [i386 amd64],
 
 Package: meson
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 # Print all logging info to stdout so it
 # shows up in build logs.
 export MESON_PRINT_TEST_OUTPUT=1
+
+export QT_SELECT=qt5
 
 %:
 	dh $@

## meson 0.29.0

=== debian/changelog ===
meson (0.29.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream moved to distutils so rewrote packaging.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 24 Jan 2016 18:57:59 +0200

meson (0.28.0-2) unstable; urgency=medium

  * Change Rust dependency so the package builds
    on Debian and Ubuntu without changes.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 06 Jan 2016 15:23:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Priority: optional
 Standards-Version: 3.9.6
 Homepage: http://mesonbuild.com
-X-Python3-Version: >= 3.3
+X-Python3-Version: >= 3.5
 Build-Depends: debhelper (>= 9),
-  python3 (>= 3.3),
+  python3 (>= 3.5),
+  dh-python,
+  python3-setuptools,
 # The following are needed for the unit test suite
   ninja-build (>= 1.5.1),
   zlib1g-dev,
@@ -37,7 +39,13 @@
   libwxgtk3.0-dev,
   python3-gi,
   gtk-doc-tools,
-  rustc [i386 amd64],
+# Rust is not packaged on Ubuntu and it is not needed to
+# build Meson, only to run a part of its test suite.
+# Rust tests will be skipped if rustc is not available.
+# This stanza makes dep dep solver install rustc whenever
+# it is available and when not it installs a harmless
+# filler package.
+  rustc [i386 amd64] | bash-doc,
 
 Package: meson
 Architecture: all
@@ -51,9 +59,8 @@
 
 Package: meson-gui
 Architecture: all
-Depends: python3,python3-pyqt5,${shlibs:Depends}, ${misc:Depends},
+Depends: meson,python3,python3-pyqt5,${shlibs:Depends}, ${misc:Depends},
 # ${python3:Depends},
- meson
 Description: graphical user interface for the Meson build system
  This package provides a graphical interface to configure and inspect
  Meson builds.

=== debian/rules ===
#!/usr/bin/make -f

# Meson does not use Debhelper's distutils/setuptools
# module as it has a few problems:
#
# - assumes that package is a "library" and enforces
#   a prefixed name of python3-meson (which we don't
#   want).
# - splitting one source package into multiple binary
#   packages was insurmountable (may be possible but
#   there is no documentation on how to do this with
#   the Python helper, it overrides something so guides
#   for regular packages don't work)


# Print all logging info to stdout so it
# shows up in build logs.

export MESON_PRINT_TEST_OUTPUT=1
export QT_SELECT=qt5

%:
	dh $@

override_dh_auto_configure:
	echo "Meson does not need to be configured."

override_dh_auto_build:
	echo "Build step overridden so dh_python3 won't run its own."

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.py
endif

override_dh_clean:
	dh_clean
	rm -f *.pyc
	rm -rf __pycache__
	rm -rf mesonbuild/__pycache__
	rm -rf mesonbuild/*/__pycache__
	rm -rf work\ area
	rm -rf install\ dir/*
	rm -f meson-test-run.txt meson-test-run.xml
	rm -rf meson.egg-info
	rm -rf build
	rm -rf .pybuild

override_dh_install:
	python3 setup.py install --root=$$(pwd)/debian/tmp --prefix=/usr --install-layout=deb --install-lib=/usr/share/meson --install-scripts=/usr/share/meson
# For some reason these Python 2 files are generated during
# install. Get rid of them and the egg info which is only
# useful for public packages.
	rm -rf $$(pwd)/debian/tmp/usr/lib/python2*
	rm -rf $$(pwd)/debian/tmp/usr/share/meson/meson*.egg-info
# Debian's python packages insist on copying scripts to /usr/bin
# because they assume that any modules they import are in the public
# PYTHONPATH. Meson has an internal library that is not, so this
# fails. Replace them with symlinks inside the private package
# so it works. This behaviour is Debian specific, if you run the exact
# same command on e.g. OSX, it will not copy the scripts.
	rm $$(pwd)/debian/tmp/usr/bin/meson
	rm $$(pwd)/debian/tmp/usr/bin/mesongui
	rm $$(pwd)/debian/tmp/usr/bin/mesonconf
	rm $$(pwd)/debian/tmp/usr/bin/mesonintrospect
	rm $$(pwd)/debian/tmp/usr/bin/wraptool
	ln -s ../share/meson/meson $$(pwd)/debian/tmp/usr/bin/meson
	ln -s ../share/meson/mesongui $$(pwd)/debian/tmp/usr/bin/mesongui
	ln -s ../share/meson/mesonconf $$(pwd)/debian/tmp/usr/bin/mesonconf
	ln -s ../share/meson/mesonintrospect $$(pwd)/debian/tmp/usr/bin/mesonintrospect
	ln -s ../share/meson/wraptool $$(pwd)/debian/tmp/usr/bin/wraptool
	dh_install --fail-missing -X__pycache__

=== debian/watch ===
version = 3

opts=pgpsigurlmangle=s/$/.asc/ https://github.com/mesonbuild/meson/releases \
 (?:.*/)meson_(\d[\d\.]*)\.tar\.gz

## meson 0.31.0

=== debian/changelog ===
meson (0.31.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 13 Apr 2016 19:39:02 +0300

meson (0.30.0-1) unstable; urgency=medium

  * New upstream release. Closes: #815253.
  * New build deps to test building of Python3 extension modules.
  * Add Lintian override for build-depping on python-dev
    even though the package is arch-all.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 12 Mar 2016 19:04:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://mesonbuild.com
 X-Python3-Version: >= 3.5
 Build-Depends: debhelper (>= 9),
@@ -46,6 +46,8 @@
 # it is available and when not it installs a harmless
 # filler package.
   rustc [i386 amd64] | bash-doc,
+  python3-dev,
+  cython3,
 
 Package: meson
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 export QT_SELECT=qt5
 
 %:
-	dh $@
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_configure:
 	echo "Meson does not need to be configured."
@@ -51,22 +51,23 @@
 # For some reason these Python 2 files are generated during
 # install. Get rid of them and the egg info which is only
 # useful for public packages.
-	rm -rf $$(pwd)/debian/tmp/usr/lib/python2*
+	rm -rf $$(pwd)/debian/tmp/usr/lib/python3*
 	rm -rf $$(pwd)/debian/tmp/usr/share/meson/meson*.egg-info
-# Debian's python packages insist on copying scripts to /usr/bin
+# Debian's Python packaging insist on copying scripts to /usr/bin
 # because they assume that any modules they import are in the public
 # PYTHONPATH. Meson has an internal library that is not, so this
 # fails. Replace them with symlinks inside the private package
-# so it works. This behaviour is Debian specific, if you run the exact
-# same command on e.g. OSX, it will not copy the scripts.
-	rm $$(pwd)/debian/tmp/usr/bin/meson
-	rm $$(pwd)/debian/tmp/usr/bin/mesongui
-	rm $$(pwd)/debian/tmp/usr/bin/mesonconf
-	rm $$(pwd)/debian/tmp/usr/bin/mesonintrospect
-	rm $$(pwd)/debian/tmp/usr/bin/wraptool
-	ln -s ../share/meson/meson $$(pwd)/debian/tmp/usr/bin/meson
-	ln -s ../share/meson/mesongui $$(pwd)/debian/tmp/usr/bin/mesongui
-	ln -s ../share/meson/mesonconf $$(pwd)/debian/tmp/usr/bin/mesonconf
-	ln -s ../share/meson/mesonintrospect $$(pwd)/debian/tmp/usr/bin/mesonintrospect
-	ln -s ../share/meson/wraptool $$(pwd)/debian/tmp/usr/bin/wraptool
+# so it works. This behaviour is Debian packaging specific.
+# If you run the same commands outside of pbuilder, the scripts
+# are not copied.
+	rm $$(pwd)/debian/tmp/usr/bin/meson.py
+	rm $$(pwd)/debian/tmp/usr/bin/mesongui.py
+	rm $$(pwd)/debian/tmp/usr/bin/mesonconf.py
+	rm $$(pwd)/debian/tmp/usr/bin/mesonintrospect.py
+	rm $$(pwd)/debian/tmp/usr/bin/wraptool.py
+	ln -s ../share/meson/meson.py $$(pwd)/debian/tmp/usr/bin/meson
+	ln -s ../share/meson/mesongui.py $$(pwd)/debian/tmp/usr/bin/mesongui
+	ln -s ../share/meson/mesonconf.py $$(pwd)/debian/tmp/usr/bin/mesonconf
+	ln -s ../share/meson/mesonintrospect.py $$(pwd)/debian/tmp/usr/bin/mesonintrospect
+	ln -s ../share/meson/wraptool.py $$(pwd)/debian/tmp/usr/bin/wraptool
 	dh_install --fail-missing -X__pycache__

## meson 0.32.0

=== debian/changelog ===
meson (0.32.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed meson-gui package because upstream removed it.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 05 Jun 2016 20:51:37 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://mesonbuild.com
 X-Python3-Version: >= 3.5
 Build-Depends: debhelper (>= 9),
@@ -58,11 +58,3 @@
  Meson is a build system designed to increase programmer
  productivity. It does this by providing a fast, simple and easy to
  use interface for modern software development tools and practices.
-
-Package: meson-gui
-Architecture: all
-Depends: meson,python3,python3-pyqt5,${shlibs:Depends}, ${misc:Depends},
-# ${python3:Depends},
-Description: graphical user interface for the Meson build system
- This package provides a graphical interface to configure and inspect
- Meson builds.

## meson 0.33.0

=== debian/changelog ===
meson (0.33.0-1) unstable; urgency=medium

  * New upstream release

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 30 Jul 2016 22:36:07 +0300

## meson 0.34.0

=== debian/changelog ===
meson (0.34.0-1) unstable; urgency=medium

  * New upstream release.
  * Added build dep to D compiler to run new tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 05 Sep 2016 22:33:07 +0300

=== debian/control ===
--- 
+++ 
@@ -48,6 +48,7 @@
   rustc [i386 amd64] | bash-doc,
   python3-dev,
   cython3,
+  gdc,
 
 Package: meson
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -47,12 +47,14 @@
 	rm -rf .pybuild
 
 override_dh_install:
-	python3 setup.py install --root=$$(pwd)/debian/tmp --prefix=/usr --install-layout=deb --install-lib=/usr/share/meson --install-scripts=/usr/share/meson
+	python3 setup.py install --root=$$(pwd)/debian/meson --prefix=/usr --install-layout=deb --install-lib=/usr/share/meson --install-scripts=/usr/share/meson
 # For some reason these Python 2 files are generated during
 # install. Get rid of them and the egg info which is only
 # useful for public packages.
-	rm -rf $$(pwd)/debian/tmp/usr/lib/python3*
-	rm -rf $$(pwd)/debian/tmp/usr/share/meson/meson*.egg-info
+	rm -rf $$(pwd)/debian/meson/usr/lib/python3*
+	rm -rf $$(pwd)/debian/meson/usr/share/meson/meson*.egg-info
+	rm -rf $$(pwd)/debian/meson/usr/share/meson/mesonbuild/__pycache__
+	rm -rf $$(pwd)/debian/meson/usr/share/meson/mesonbuild/*/__pycache__
 # Debian's Python packaging insist on copying scripts to /usr/bin
 # because they assume that any modules they import are in the public
 # PYTHONPATH. Meson has an internal library that is not, so this
@@ -60,14 +62,11 @@
 # so it works. This behaviour is Debian packaging specific.
 # If you run the same commands outside of pbuilder, the scripts
 # are not copied.
-	rm $$(pwd)/debian/tmp/usr/bin/meson.py
-	rm $$(pwd)/debian/tmp/usr/bin/mesongui.py
-	rm $$(pwd)/debian/tmp/usr/bin/mesonconf.py
-	rm $$(pwd)/debian/tmp/usr/bin/mesonintrospect.py
-	rm $$(pwd)/debian/tmp/usr/bin/wraptool.py
-	ln -s ../share/meson/meson.py $$(pwd)/debian/tmp/usr/bin/meson
-	ln -s ../share/meson/mesongui.py $$(pwd)/debian/tmp/usr/bin/mesongui
-	ln -s ../share/meson/mesonconf.py $$(pwd)/debian/tmp/usr/bin/mesonconf
-	ln -s ../share/meson/mesonintrospect.py $$(pwd)/debian/tmp/usr/bin/mesonintrospect
-	ln -s ../share/meson/wraptool.py $$(pwd)/debian/tmp/usr/bin/wraptool
-	dh_install --fail-missing -X__pycache__
+	rm $$(pwd)/debian/meson/usr/bin/meson.py
+	rm $$(pwd)/debian/meson/usr/bin/mesonconf.py
+	rm $$(pwd)/debian/meson/usr/bin/mesonintrospect.py
+	rm $$(pwd)/debian/meson/usr/bin/wraptool.py
+	ln -s ../share/meson/meson.py $$(pwd)/debian/meson/usr/bin/meson
+	ln -s ../share/meson/mesonconf.py $$(pwd)/debian/meson/usr/bin/mesonconf
+	ln -s ../share/meson/mesonintrospect.py $$(pwd)/debian/meson/usr/bin/mesonintrospect
+	ln -s ../share/meson/wraptool.py $$(pwd)/debian/meson/usr/bin/wraptool

## meson 0.35.1

=== debian/changelog ===
meson (0.35.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 17 Oct 2016 21:02:42 +0300

meson (0.35.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 03 Oct 2016 22:53:31 +0300

## meson 0.36.0

=== debian/changelog ===
meson (0.36.0-1) unstable; urgency=medium

  * New upstream release. Closes: #841846.
  * Added build dep to itstool, which is needed by new tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 14 Nov 2016 20:12:41 +0200

=== debian/control ===
--- 
+++ 
@@ -49,6 +49,7 @@
   python3-dev,
   cython3,
   gdc,
+  itstool,
 
 Package: meson
 Architecture: all

## meson 0.37.1

=== debian/changelog ===
meson (0.37.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 20 Dec 2016 22:09:22 +0200

meson (0.37.0-1) unstable; urgency=medium

  * New upstream release.
  * Added build dep to libgtk-3-dev needed by new tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 18 Dec 2016 21:17:38 +0200

=== debian/control ===
--- 
+++ 
@@ -50,6 +50,7 @@
   cython3,
   gdc,
   itstool,
+  libgtk-3-dev,
 
 Package: meson
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -62,11 +62,11 @@
 # so it works. This behaviour is Debian packaging specific.
 # If you run the same commands outside of pbuilder, the scripts
 # are not copied.
-	rm $$(pwd)/debian/meson/usr/bin/meson.py
-	rm $$(pwd)/debian/meson/usr/bin/mesonconf.py
-	rm $$(pwd)/debian/meson/usr/bin/mesonintrospect.py
-	rm $$(pwd)/debian/meson/usr/bin/wraptool.py
-	ln -s ../share/meson/meson.py $$(pwd)/debian/meson/usr/bin/meson
-	ln -s ../share/meson/mesonconf.py $$(pwd)/debian/meson/usr/bin/mesonconf
-	ln -s ../share/meson/mesonintrospect.py $$(pwd)/debian/meson/usr/bin/mesonintrospect
-	ln -s ../share/meson/wraptool.py $$(pwd)/debian/meson/usr/bin/wraptool
+	rm $$(pwd)/debian/meson/usr/bin/meson
+	rm $$(pwd)/debian/meson/usr/bin/mesonconf
+	rm $$(pwd)/debian/meson/usr/bin/mesonintrospect
+	rm $$(pwd)/debian/meson/usr/bin/wraptool
+	ln -s ../share/meson/meson $$(pwd)/debian/meson/usr/bin/meson
+	ln -s ../share/meson/mesonconf $$(pwd)/debian/meson/usr/bin/mesonconf
+	ln -s ../share/meson/mesonintrospect $$(pwd)/debian/meson/usr/bin/mesonintrospect
+	ln -s ../share/meson/wraptool $$(pwd)/debian/meson/usr/bin/wraptool

## meson 0.38.0

=== debian/changelog ===
meson (0.38.0-1) unstable; urgency=medium

  * New upstream release.
  * Versioned Ninja dependency. Closes: #850078.
  * Install mesontest properly. Closes: #851601.
  * Build-dep on arm cross compiler to run cross build tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 29 Jan 2017 21:17:38 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
   python3 (>= 3.5),
   dh-python,
   python3-setuptools,
+  ninja-build (>= 1.6),
 # The following are needed for the unit test suite
-  ninja-build (>= 1.5.1),
   zlib1g-dev,
   pkg-config,
   libboost-dev,
@@ -51,12 +51,13 @@
   gdc,
   itstool,
   libgtk-3-dev,
+  c++-compiler-arm-linux-gnueabihf [!armhf],
 
 Package: meson
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends},
 # ${python3:Depends},
- ninja-build, python3
+ ninja-build(>=1.6), python3
 Description: high-productivity build system
  Meson is a build system designed to increase programmer
  productivity. It does this by providing a fast, simple and easy to

## meson 0.38.1

=== debian/changelog ===
meson (0.38.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 07 Feb 2017 22:03:30 +0200

## meson 0.39.0

=== debian/changelog ===
meson (0.39.0-1) unstable; urgency=medium

  * New upstream release
  * Added build-dep to Valgrind which some tests use if available

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 05 Mar 2017 23:10:04 +0200

## meson 0.39.1

=== debian/changelog ===
meson (0.39.1-1) unstable; urgency=medium

  * New upstream release

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 15 Mar 2017 22:58:47 +0200

=== debian/control ===
--- 
+++ 
@@ -52,6 +52,7 @@
   itstool,
   libgtk-3-dev,
   c++-compiler-arm-linux-gnueabihf [!armhf],
+  valgrind [i386 amd64],
 
 Package: meson
 Architecture: all

## meson 0.40.0

=== debian/changelog ===
meson (0.40.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 23 Apr 2017 02:01:34 +0300

## meson 0.40.1

=== debian/changelog ===
meson (0.40.1-1~ubuntu16.04.1) xenial-backports; urgency=medium

  * No-change backport to xenial

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 26 May 2017 11:32:57 +0100

meson (0.40.1-1) unstable; urgency=medium

  * New upstream release.
  * Backport helper fix from Martin Pitt. Closes: #861055.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 28 Apr 2017 21:13:15 +0300

=== debian/control ===
--- 
+++ 
@@ -51,7 +51,8 @@
   gdc,
   itstool,
   libgtk-3-dev,
-  c++-compiler-arm-linux-gnueabihf [!armhf],
+# Not available on older releases and only needed for tests
+  c++-compiler-arm-linux-gnueabihf [!armhf] | bash-doc,
   valgrind [i386 amd64],
 
 Package: meson

=== debian/rules ===
--- 
+++ 
@@ -65,8 +65,10 @@
 	rm $$(pwd)/debian/meson/usr/bin/meson
 	rm $$(pwd)/debian/meson/usr/bin/mesonconf
 	rm $$(pwd)/debian/meson/usr/bin/mesonintrospect
+	rm $$(pwd)/debian/meson/usr/bin/mesontest
 	rm $$(pwd)/debian/meson/usr/bin/wraptool
 	ln -s ../share/meson/meson $$(pwd)/debian/meson/usr/bin/meson
 	ln -s ../share/meson/mesonconf $$(pwd)/debian/meson/usr/bin/mesonconf
 	ln -s ../share/meson/mesonintrospect $$(pwd)/debian/meson/usr/bin/mesonintrospect
+	ln -s ../share/meson/mesontest $$(pwd)/debian/meson/usr/bin/mesontest
 	ln -s ../share/meson/wraptool $$(pwd)/debian/meson/usr/bin/wraptool

=== debian/tests/control ===
Tests: basicmeson
Depends: meson, ninja-build, g++

Tests: clangmeson
Depends: meson, ninja-build, clang

## meson 0.41.0

=== debian/changelog ===
meson (0.41.0-1) unstable; urgency=medium

  * New upstream release.
  * Added build dep to sdl2 and llvm for new tests.
  * Added a new, more exhaustive Debian test.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 12 Jun 2017 21:49:13 +0300

=== debian/control ===
Source: meson
Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
Section: devel
Priority: optional
Standards-Version: 3.9.8
Homepage: http://mesonbuild.com
X-Python3-Version: >= 3.5
Build-Depends: debhelper (>= 9),
  python3 (>= 3.5),
  dh-python,
  python3-setuptools,
  ninja-build (>= 1.6),
# The following are needed for the unit test suite
  zlib1g-dev <!nocheck>,
  pkg-config <!nocheck>,
  libboost-dev <!nocheck>,
  libboost-thread-dev <!nocheck>,
  libboost-test-dev <!nocheck>,
  gobjc <!nocheck>,
  gobjc++ <!nocheck>,
  gnustep-make <!nocheck>,
  libgnustep-base-dev <!nocheck>,
  libgtest-dev <!nocheck>,
  google-mock <!nocheck>,
  qtbase5-dev <!nocheck>,
  qtbase5-dev-tools <!nocheck>,
  protobuf-compiler <!nocheck>,
  libprotobuf-dev <!nocheck>,
# OpenJDK does not work on Hurd, so skip the tests.
  openjdk-8-jdk [!hurd-i386] <!nocheck>,
  valac <!nocheck>,
  gobject-introspection <!nocheck>,
  libgirepository1.0-dev <!nocheck>,
  gfortran <!nocheck>,
  flex <!nocheck>,
  bison <!nocheck>,
  mono-mcs <!nocheck>,
  mono-devel <!nocheck>,
  libwxgtk3.0-dev <!nocheck>,
  python3-gi <!nocheck>,
  gtk-doc-tools <!nocheck>,
# Rust is not packaged on Ubuntu and it is not needed to
# build Meson, only to run a part of its test suite.
# Rust tests will be skipped if rustc is not available.
# This stanza makes dep dep solver install rustc whenever
# it is available and when not it installs a harmless
# filler package.
  rustc [i386 amd64] | bash-doc <!nocheck>,
  python3-dev <!nocheck>,
  cython3 <!nocheck>,
  gdc <!nocheck>,
  itstool,
  libgtk-3-dev <!nocheck>,
# Not available on older releases and only needed for tests
  c++-compiler-arm-linux-gnueabihf [!armhf] | bash-doc <!nocheck>,
  valgrind [i386 amd64] <!nocheck>,
  llvm-dev <!nocheck>,
  libsdl2-dev <!nocheck>,

Package: meson
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
# ${python3:Depends},
 ninja-build(>=1.6), python3
Description: high-productivity build system
 Meson is a build system designed to increase programmer
 productivity. It does this by providing a fast, simple and easy to
 use interface for modern software development tools and practices.

## meson 0.41.1

=== test cases/common/140 get define/meson_options.txt ===
option('MESON_TEST_DEFINE_VALUE', type : 'string', default : '')

=== debian/changelog ===
meson (0.41.1-1ubuntu1) artful; urgency=medium

  * debian/patches/0001-Use-absolute-path-to-target-dir-within-gnome-module.patch:
    Cherry-pick. Pass the right (absolute) paths to programs invoked from the
    GNOME module.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 22 Jun 2017 17:01:22 +0100

meson (0.41.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 19 Jun 2017 23:48:01 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: meson
-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
 Standards-Version: 3.9.8

## meson 0.41.2

=== debian/changelog ===
meson (0.41.2-2ubuntu1) artful; urgency=medium

  * Cherry pick patches to fix gnome-shell 3.25 compilation with meson

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 11 Aug 2017 17:29:18 -0400

meson (0.41.2-2) unstable; urgency=medium

  * Cherry picked asm tagging patch to fix Ubuntu CI breakage.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 25 Jul 2017 18:59:58 +0300

meson (0.41.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 19 Jul 2017 12:41:18 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://mesonbuild.com
 X-Python3-Version: >= 3.5
 Build-Depends: debhelper (>= 9),
@@ -49,12 +49,15 @@
   rustc [i386 amd64] | bash-doc <!nocheck>,
   python3-dev <!nocheck>,
   cython3 <!nocheck>,
-  gdc <!nocheck>,
+# GDC is available on all platforms but it only
+# works when libgphobos-dev is available
+# and it only exists on a few architectures.
+  gdc [amd64 armhf i386] <!nocheck>,
   itstool,
   libgtk-3-dev <!nocheck>,
 # Not available on older releases and only needed for tests
   c++-compiler-arm-linux-gnueabihf [!armhf] | bash-doc <!nocheck>,
-  valgrind [i386 amd64] <!nocheck>,
+  valgrind [amd64 i386] <!nocheck>,
   llvm-dev <!nocheck>,
   libsdl2-dev <!nocheck>,

## meson 0.42.0

=== debian/changelog ===
meson (0.42.0-2) unstable; urgency=medium

  * Fix autopkgtests to use the meson command rather than mesonconf,
    mesonintrospect et al, because the latter write a warning to
    stderr which causes autopkg to mark the test as failed.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 24 Aug 2017 01:08:48 +0300

meson (0.42.0-1) unstable; urgency=medium

  * New upstream release.
  * Disabled openmpi test because the generated binaries do not run
    in pbuilder for an unknown reason.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 15 Aug 2017 00:45:25 +0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: meson
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
+Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
-Standards-Version: 4.0.0
+Standards-Version: 4.0.1
 Homepage: http://mesonbuild.com
 X-Python3-Version: >= 3.5
 Build-Depends: debhelper (>= 9),
@@ -60,6 +59,10 @@
   valgrind [amd64 i386] <!nocheck>,
   llvm-dev <!nocheck>,
   libsdl2-dev <!nocheck>,
+  openmpi-bin <!nocheck>,
+  libopenmpi-dev <!nocheck>,
+  libvulkan-dev <!nocheck>,
+  libpcap-dev <!nocheck>,
 
 Package: meson
 Architecture: all

## meson 0.42.1

=== debian/changelog ===
meson (0.42.1-1) unstable; urgency=medium

  * New upstream version.
  * Marked the package multi-arch foreign
  * Ship non-public helper script to generate cross files
    from architecture info to aid in cross builds. Closes: #859177.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 12 Sep 2017 19:37:59 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
-Standards-Version: 4.0.1
+Standards-Version: 4.1.0
 Homepage: http://mesonbuild.com
 X-Python3-Version: >= 3.5
 Build-Depends: debhelper (>= 9),
@@ -16,6 +16,7 @@
   libboost-dev <!nocheck>,
   libboost-thread-dev <!nocheck>,
   libboost-test-dev <!nocheck>,
+  libboost-log-dev <!nocheck>,
   gobjc <!nocheck>,
   gobjc++ <!nocheck>,
   gnustep-make <!nocheck>,
@@ -66,6 +67,7 @@
 
 Package: meson
 Architecture: all
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends},
 # ${python3:Depends},
  ninja-build(>=1.6), python3

## meson 0.43.0

=== debian/changelog ===
meson (0.43.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 24 Apr 2018 16:59:00 -0700

meson (0.43.0-1) unstable; urgency=medium

  * New upstream release.
  * Updated debcrossgen script. Closes: #875703.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 08 Oct 2017 22:36:43 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: meson
-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
 Standards-Version: 4.1.0
@@ -64,6 +65,10 @@
   libopenmpi-dev <!nocheck>,
   libvulkan-dev <!nocheck>,
   libpcap-dev <!nocheck>,
+  libcups2-dev <!nocheck>,
+  gtk-sharp2 <!nocheck>,
+  gtk-sharp2-gapi <!nocheck>,
+  libglib2.0-cil-dev <!nocheck>,
 
 Package: meson
 Architecture: all

=== debian/tests/control ===
--- 
+++ 
@@ -3,3 +3,6 @@
 
 Tests: clangmeson
 Depends: meson, ninja-build, clang
+
+Tests: exhaustive
+Depends: meson, ninja-build, g++, clang

## meson 0.44.1

=== debian/changelog ===
meson (0.44.1-1ubuntu3) bionic; urgency=medium

  * debian/patches/uuntu_s390_nolibasan.patch:
    - skip a test that requires libasan since that library doesn't
      exists on s390x.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Mar 2018 17:19:03 +0100

meson (0.44.1-1ubuntu2) bionic; urgency=medium

  * Extra tweak for the buggy test

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 02 Mar 2018 15:32:19 +0100

meson (0.44.1-1ubuntu1) bionic; urgency=medium

  * debian/patches/git_autopkg_issue.patch:
    - backport an upstream change to fix the autopkgtest issues from
      the current version.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Feb 2018 10:35:19 +0100

meson (0.44.1-1) unstable; urgency=medium

  * New upstream version. Closes: #884627.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 21 Feb 2018 00:02:07 +0200

meson (0.44.0-3) unstable; urgency=medium

  * Forward autopkgtest stderr to stdout because the test executor
    interprets any text in stderr as a test failure.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 23 Dec 2017 15:42:17 +0200

meson (0.44.0-2) unstable; urgency=medium

  * Add meson package as a dependency of all autopkgtests.
  * Add build deps to enable a few optional tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 17 Dec 2017 13:49:31 +0200

meson (0.44.0-1) unstable; urgency=medium

  * New upstream release.
  * Do not run D library tests, because GDC has problems
    with them. Closes: #879976.
  * Fixed dependency declarations so a nocheck build
    no longer requires Rust. Closes: #879704.
  * Converted thorough autopkgtest to run the full test
    suite including all dependency tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 10 Dec 2017 15:41:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: meson
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Homepage: http://mesonbuild.com
 X-Python3-Version: >= 3.5
 Build-Depends: debhelper (>= 9),
@@ -26,6 +26,7 @@
   google-mock <!nocheck>,
   qtbase5-dev <!nocheck>,
   qtbase5-dev-tools <!nocheck>,
+  qttools5-dev-tools <!nocheck>,
   protobuf-compiler <!nocheck>,
   libprotobuf-dev <!nocheck>,
 # OpenJDK does not work on Hurd, so skip the tests.
@@ -47,17 +48,17 @@
 # This stanza makes dep dep solver install rustc whenever
 # it is available and when not it installs a harmless
 # filler package.
-  rustc [i386 amd64] | bash-doc <!nocheck>,
+  rustc [i386 amd64] <!nocheck> | bash-doc <!nocheck>,
   python3-dev <!nocheck>,
   cython3 <!nocheck>,
 # GDC is available on all platforms but it only
 # works when libgphobos-dev is available
 # and it only exists on a few architectures.
   gdc [amd64 armhf i386] <!nocheck>,
-  itstool,
+  itstool <!nocheck>,
   libgtk-3-dev <!nocheck>,
 # Not available on older releases and only needed for tests
-  c++-compiler-arm-linux-gnueabihf [!armhf] | bash-doc <!nocheck>,
+  c++-compiler-arm-linux-gnueabihf [!armhf] <!nocheck> | bash-doc <!nocheck>,
   valgrind [amd64 i386] <!nocheck>,
   llvm-dev <!nocheck>,
   libsdl2-dev <!nocheck>,
@@ -69,6 +70,11 @@
   gtk-sharp2 <!nocheck>,
   gtk-sharp2-gapi <!nocheck>,
   libglib2.0-cil-dev <!nocheck>,
+  libwmf-dev <!nocheck>,
+  git <!nocheck>,
+  mercurial <!nocheck>,
+  gcovr <!nocheck>,
+  lcov <!nocheck>,
 
 Package: meson
 Architecture: all

## meson 0.45.0

=== debian/changelog ===
meson (0.45.0-1) unstable; urgency=medium

  * New upstream release.
  * Updated debhelper requirement.
  * New build deps for FPGA tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 04 Mar 2018 20:27:57 +0200

## meson 0.45.1

=== test cases/common/176 yield/meson_options.txt ===
option('unshared_option', type : 'string', value : 'one')
option('shared_option', type : 'string', value : 'two')

=== test cases/unit/1 soname/CMakeLists.txt ===
# This is a CMake version of this test. It behaves slightly differently
# so in case you ever need to debug this, here it is.
#
# The biggest difference is that if SOVERSION is not set, it
# is set to VERSION. Autotools sets it to the first number
# of VERSION. That is, for version number 1.2.3 CMake sets
# soname to 1.2.3 but Autotools sets it to 1.

project(vertest C)
cmake_minimum_required(VERSION 3.5)

add_library(nover SHARED versioned.c)

add_library(verset SHARED versioned.c)
set_target_properties(verset PROPERTIES VERSION 4.5.6)

add_library(soverset SHARED versioned.c)
set_target_properties(soverset PROPERTIES SOVERSION 1.2.3)

add_library(bothset SHARED versioned.c)
set_target_properties(bothset PROPERTIES SOVERSION 1.2.3)
set_target_properties(bothset PROPERTIES VERSION 4.5.6)

add_library(settosame SHARED versioned.c)
set_target_properties(settosame PROPERTIES SOVERSION 7.8.9)
set_target_properties(settosame PROPERTIES VERSION 7.8.9)

=== test cases/common/176 yield/subprojects/sub/meson_options.txt ===
option('unshared_option', type : 'string', value : 'three', yield : false)
option('shared_option', type : 'string', value : 'four', yield : true)

=== test cases/unit/19 bad command line options/subprojects/one/meson_options.txt ===
# Copyright © 2017 Intel Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

option('one', type : 'string', description : 'an option')

=== debian/changelog ===
meson (0.45.1-2) unstable; urgency=medium

  * Added cross fix to enable RISC-V bootstrap. Closes: #894505.
  * Added patch to fix autopkgtests. Closes: #894594.
  * Fixed Java detection logic and dependency. Closes: #894200.
  * Fixed cross dependencies. Closes: #894199.
  * Updated debcrossgen tool. Closes: #893502.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 02 Apr 2018 12:54:53 +0300

meson (0.45.1-1) unstable; urgency=medium

  * New upstream release. Closes: #892956.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 22 Mar 2018 00:04:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: meson
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
+Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
 Standards-Version: 4.1.3
 Homepage: http://mesonbuild.com
 X-Python3-Version: >= 3.5
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
   python3 (>= 3.5),
   dh-python,
   python3-setuptools,
@@ -30,7 +29,7 @@
   protobuf-compiler <!nocheck>,
   libprotobuf-dev <!nocheck>,
 # OpenJDK does not work on Hurd, so skip the tests.
-  openjdk-8-jdk [!hurd-i386] <!nocheck>,
+  default-jdk-headless [!hurd-i386] <!nocheck>,
   valac <!nocheck>,
   gobject-introspection <!nocheck>,
   libgirepository1.0-dev <!nocheck>,
@@ -42,12 +41,10 @@
   libwxgtk3.0-dev <!nocheck>,
   python3-gi <!nocheck>,
   gtk-doc-tools <!nocheck>,
-# Rust is not packaged on Ubuntu and it is not needed to
-# build Meson, only to run a part of its test suite.
-# Rust tests will be skipped if rustc is not available.
-# This stanza makes dep dep solver install rustc whenever
-# it is available and when not it installs a harmless
-# filler package.
+# Rust is not needed to build Meson, only to run a part of its test
+# suite.  Rust tests will be skipped if rustc is not available.  This
+# stanza makes dep dep solver install rustc whenever it is available
+# and when not it installs a harmless filler package.
   rustc [i386 amd64] <!nocheck> | bash-doc <!nocheck>,
   python3-dev <!nocheck>,
   cython3 <!nocheck>,
@@ -58,7 +55,7 @@
   itstool <!nocheck>,
   libgtk-3-dev <!nocheck>,
 # Not available on older releases and only needed for tests
-  c++-compiler-arm-linux-gnueabihf [!armhf] <!nocheck> | bash-doc <!nocheck>,
+  g++-arm-linux-gnueabihf [!armhf] <!nocheck> | bash-doc <!nocheck>,
   valgrind [amd64 i386] <!nocheck>,
   llvm-dev <!nocheck>,
   libsdl2-dev <!nocheck>,
@@ -75,6 +72,10 @@
   mercurial <!nocheck>,
   gcovr <!nocheck>,
   lcov <!nocheck>,
+  fpga-icestorm <!nocheck>,
+  arachne-pnr <!nocheck>,
+  yosys <!nocheck>,
+
 
 Package: meson
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -72,3 +72,5 @@
 	ln -s ../share/meson/mesonintrospect $$(pwd)/debian/meson/usr/bin/mesonintrospect
 	ln -s ../share/meson/mesontest $$(pwd)/debian/meson/usr/bin/mesontest
 	ln -s ../share/meson/wraptool $$(pwd)/debian/meson/usr/bin/wraptool
+# Helper script to autogenerate cross files.
+	cp debian/debcrossgen $$(pwd)/debian/meson/usr/share/meson

=== debian/tests/control ===
Tests: basicmeson
Depends: meson, ninja-build, g++

Tests: clangmeson
Depends: meson, ninja-build, clang

Tests: exhaustive
Depends: meson, @builddeps@

## meson 0.46.0

=== debian/changelog ===
meson (0.46.0-1) unstable; urgency=medium

  * New upstream release. Closes: #892515.
  * Updated debcrossgen.
  * Old command names now only print errors. Closes: #886882.
  * Marked pytho3 dependency with :any as recommended by multiarch hinter.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 22 Apr 2018 19:42:22 +0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://mesonbuild.com
 X-Python3-Version: >= 3.5
 Build-Depends: debhelper (>= 11),
-  python3 (>= 3.5),
+  python3:any (>= 3.5),
   dh-python,
   python3-setuptools,
   ninja-build (>= 1.6),
@@ -59,8 +59,9 @@
   valgrind [amd64 i386] <!nocheck>,
   llvm-dev <!nocheck>,
   libsdl2-dev <!nocheck>,
-  openmpi-bin <!nocheck>,
-  libopenmpi-dev <!nocheck>,
+# OpenMPI packages do not install currently (2018/04/23)
+#  openmpi-bin <!nocheck>,
+#  libopenmpi-dev <!nocheck>,
   libvulkan-dev <!nocheck>,
   libpcap-dev <!nocheck>,
   libcups2-dev <!nocheck>,

## meson 0.46.1

=== debian/changelog ===
meson (0.46.1-1) unstable; urgency=medium

  * New upstream release. Closes: #896876.
  * Use an UTF-8 locale because ASCII breaks tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 16 May 2018 19:28:58 +0300

=== debian/control ===
--- 
+++ 
@@ -60,8 +60,10 @@
   llvm-dev <!nocheck>,
   libsdl2-dev <!nocheck>,
 # OpenMPI packages do not install currently (2018/04/23)
-#  openmpi-bin <!nocheck>,
-#  libopenmpi-dev <!nocheck>,
+  openmpi-bin <!nocheck>,
+  libopenmpi-dev <!nocheck>,
+# Running OpenMPI executables requires openssh. Yes, really.
+  openssh-client <!nocheck>,
   libvulkan-dev <!nocheck>,
   libpcap-dev <!nocheck>,
   libcups2-dev <!nocheck>,
@@ -76,6 +78,7 @@
   fpga-icestorm <!nocheck>,
   arachne-pnr <!nocheck>,
   yosys <!nocheck>,
+  doxygen <!nocheck>,
 
 
 Package: meson

=== debian/rules ===
--- 
+++ 
@@ -6,18 +6,19 @@
 # - assumes that package is a "library" and enforces
 #   a prefixed name of python3-meson (which we don't
 #   want).
-# - splitting one source package into multiple binary
-#   packages was insurmountable (may be possible but
-#   there is no documentation on how to do this with
-#   the Python helper, it overrides something so guides
-#   for regular packages don't work)
+# - wants to take over the installed scripts and
+#   change them in ways that breaks everything
+#   that is not using 100% defaults.
 
 
 # Print all logging info to stdout so it
 # shows up in build logs.
+export MESON_PRINT_TEST_OUTPUT=1
 
-export MESON_PRINT_TEST_OUTPUT=1
 export QT_SELECT=qt5
+
+# We're not in 1963 anymore, Toto!
+export LANG=C.UTF-8
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -59,7 +60,7 @@
 # because they assume that any modules they import are in the public
 # PYTHONPATH. Meson has an internal library that is not, so this
 # fails. Replace them with symlinks inside the private package
-# so it works. This behaviour is Debian packaging specific.
+# so it works. The system behaviour is Debian packaging specific.
 # If you run the same commands outside of pbuilder, the scripts
 # are not copied.
 	rm $$(pwd)/debian/meson/usr/bin/meson

## meson 0.47.0

=== debian/changelog ===
meson (0.47.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to using standard Python install because trying to keep the
    library private is just too damn hard and annoying.
  * Updated Google test dependencies. Closes: #897174.
  * Added build deps to test new functionality.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 02 Jul 2018 20:54:05 +0300

=== debian/rules ===
#!/usr/bin/make -f

# Print all logging info to stdout so it
# shows up in build logs.
export MESON_PRINT_TEST_OUTPUT=1

export QT_SELECT=qt5

# We're not in 1963 anymore, Toto!
export LC_ALL=C.UTF-8

export PYBUILD_NAME=meson

%:
	dh $@ --with python3 --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.py
endif

override_dh_clean:
	dh_clean
	rm -f meson-test-run.txt meson-test-run.xml
